Xerces-C++: XSModelGroup Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XSModelGroup Class Reference

Inheritance diagram for XSModelGroup:

List of all members.

## Public Types
enum | COMPOSITOR_TYPE { COMPOSITOR_SEQUENCE = 1, COMPOSITOR_CHOICE = 2, COMPOSITOR_ALL = 3 }
## Public Member Functions
Constructors
| XSModelGroup (COMPOSITOR_TYPE compositorType, XSParticleList *const particleList, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSModelGroup ()
XSModelGroup methods
COMPOSITOR_TYPE | getCompositor () const
| [compositor]: one of all, choice or sequence.
XSParticleList * | getParticles () const
| A list of [particles].
XSAnnotation * | getAnnotation () const
| Optional.
## Protected Attributes
COMPOSITOR_TYPE | fCompositorType
XSParticleList * | fParticleList
XSAnnotation * | fAnnotation

## Member Enumeration Documentation

enum XSModelGroup::COMPOSITOR_TYPE

Enumerator:

  COMPOSITOR_SEQUENCE | This constant value signifies a sequence operator.
  COMPOSITOR_CHOICE | This constant value signifies a choice operator.
  COMPOSITOR_ALL | This content model represents a simplified version of the SGML &-Connector and is limited to the top-level of any content model. No element in the all content model may appear more than once.

## Constructor & Destructor Documentation

XSModelGroup::XSModelGroup | ( | COMPOSITOR_TYPE | compositorType,
|  | XSParticleList *const | particleList,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

The default constructor.

Parameters:

  | compositorType |
  | particleList |
  | annot |
  | xsModel |
  | manager | The configurable memory manager

XSModelGroup::~XSModelGroup | ( |  | ) |

## Member Function Documentation

XSModelGroup::COMPOSITOR_TYPE XSModelGroup::getCompositor | ( |  | ) | const

[compositor]: one of all, choice or sequence.

The valid constants values are: `COMPOSITOR_SEQUENCE, COMPOSITOR_CHOICE, COMPOSITOR_ALL`.

XSParticleList * XSModelGroup::getParticles | ( |  | ) | const

A list of [particles].

XSAnnotation * XSModelGroup::getAnnotation | ( |  | ) | const

Optional.

An [annotation].

## Member Data Documentation

COMPOSITOR_TYPE XSModelGroup::fCompositorType`[protected]`

XSParticleList* XSModelGroup::fParticleList`[protected]`

XSAnnotation* XSModelGroup::fAnnotation`[protected]`

The documentation for this class was generated from the following file:

- XSModelGroup.hpp